## GtkRadioButton

GtkRadioButton

## Functions

GtkWidget * | gtk_radio_button_new ()
GtkWidget * | gtk_radio_button_new_from_widget ()
GtkWidget * | gtk_radio_button_new_with_label ()
GtkWidget * | gtk_radio_button_new_with_label_from_widget ()
GtkWidget * | gtk_radio_button_new_with_mnemonic ()
GtkWidget * | gtk_radio_button_new_with_mnemonic_from_widget ()
void | gtk_radio_button_set_group ()
GSList * | gtk_radio_button_get_group ()

## Properties

GtkRadioButton * | group | Write

## Signals

void | group-changed | Run First

## Types and Values

struct | GtkRadioButton
#define | gtk_radio_button_group

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkButton
                                ╰── GtkToggleButton
                                    ╰── GtkCheckButton
                                        ╰── GtkRadioButton

## Implemented Interfaces

GtkRadioButton implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_radio_button_new ()

    GtkWidget *
    gtk_radio_button_new (GSList *group);

Creates a new GtkRadioButton. To be of any practical value, a widget should then be packed into the radio button.

#### Parameters

group | an existing radio button group, or `NULL` if you are creating a new group. | [allow-none]

#### Returns

a new radio button

### gtk_radio_button_new_from_widget ()

    GtkWidget *
    gtk_radio_button_new_from_widget (GtkRadioButton *radio_group_member);

Creates a new GtkRadioButton, adding it to the same group as `radio_group_member` . As with `gtk_radio_button_new()`, a widget should be packed into the radio button.

#### Parameters

radio_group_member | an existing GtkRadioButton. | [allow-none]

#### Returns

a new radio button.

[transfer none]

### gtk_radio_button_new_with_label ()

    GtkWidget *
    gtk_radio_button_new_with_label (GSList *group,
                                     const gchar *label);

Creates a new GtkRadioButton with a text label.

#### Parameters

group | an existing radio button group, or `NULL` if you are creating a new group. | [allow-none]
label | the text label to display next to the radio button. |

#### Returns

a new radio button.

### gtk_radio_button_new_with_label_from_widget ()

    GtkWidget *
    gtk_radio_button_new_with_label_from_widget
                                   (GtkRadioButton *radio_group_member,
                                    const gchar *label);

Creates a new GtkRadioButton with a text label, adding it to the same group as `radio_group_member` .

[constructor]

#### Parameters

radio_group_member | widget to get radio group from or `NULL`. | [allow-none]
label | a text string to display next to the radio button. |

#### Returns

a new radio button.

[transfer none]

### gtk_radio_button_new_with_mnemonic ()

    GtkWidget *
    gtk_radio_button_new_with_mnemonic (GSList *group,
                                        const gchar *label);

Creates a new GtkRadioButton containing a label, adding it to the same group as `group` . The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in `label` indicate the mnemonic for the button.

#### Parameters

group | the radio button group |
label | the text of the button, with an underscore in front of the mnemonic character |

#### Returns

a new GtkRadioButton

### gtk_radio_button_new_with_mnemonic_from_widget ()

    GtkWidget *
    gtk_radio_button_new_with_mnemonic_from_widget
                                   (GtkRadioButton *radio_group_member,
                                    const gchar *label);

Creates a new GtkRadioButton containing a label. The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in `label` indicate the mnemonic for the button.

[constructor]

#### Parameters

radio_group_member | widget to get radio group from or `NULL`. | [allow-none]
label | the text of the button, with an underscore in front of the mnemonic character |

#### Returns

a new GtkRadioButton.

[transfer none]

### gtk_radio_button_set_group ()

    void
    gtk_radio_button_set_group (GtkRadioButton *radio_button,
                                GSList *group);

Sets a GtkRadioButton's group. It should be noted that this does not change the layout of your interface in any way, so if you are changing the group, it is likely you will need to re-arrange the user interface to reflect these changes.

#### Parameters

radio_button | a GtkRadioButton. |
group | an existing radio button group, such as one returned from `gtk_radio_button_get_group()`. | [transfer none][element-type GtkRadioButton]

### gtk_radio_button_get_group ()

    GSList *
    gtk_radio_button_get_group (GtkRadioButton *radio_button);

Retrieves the group assigned to a radio button.

#### Parameters

radio_button | a GtkRadioButton. |

#### Returns

a linked list containing all the radio buttons in the same group as `radio_button` . The returned list is owned by the radio button and must not be modified or freed.

[element-type GtkRadioButton][transfer none]

## Types and Values

### struct GtkRadioButton

    struct GtkRadioButton;

### gtk_radio_button_group

    #define gtk_radio_button_group gtk_radio_button_get_group

`gtk_radio_button_group` is deprecated and should not be used in newly-written code.

## Property Details

### The `“group”` property

      “group”                    GtkRadioButton *

The radio button whose group this widget belongs to.

Owner: GtkRadioButton

Flags: Write

## Signal Details

### The `“group-changed”` signal

    void
    user_function (GtkRadioButton *style,
                   gpointer        user_data)

Emitted when the group of radio buttons that a radio button belongs to changes. This is emitted when a radio button switches from being alone to being part of a group of 2 or more buttons, or vice-versa, and when a button is moved from one group of 2 or more buttons to a different one, but not when the composition of the group that a button belongs to changes.

#### Parameters

style | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 2.4